Mailinglist Archive: opensuse-updates (33 mails)

< Previous Next >
openSUSE-RU-2012:0697-1: softwaremgmt: Update for 2012/04
openSUSE Recommended Update: softwaremgmt: Update for 2012/04
______________________________________________________________________________

Announcement ID: openSUSE-RU-2012:0697-1
Rating: low
References: #679322 #710872 #735016 #743634 #748144 #749418
#751221 #752497 #754286 #755239 #755815 #756192

Affected Products:
openSUSE 12.1
______________________________________________________________________________

An update that has 12 recommended fixes can now be
installed.

Description:

This softwaremgmt update fixes the following issues: zypper:
- Update zypper-po.tar.bz2
- 755239: Improve source package related messages upon
install and remove
- 710872: Show note about possibly incomplete 'zypper ps'
if not run as root
- 748144: Fix augeas lense enforcing a non empty
anonymous section
- 735016: Fix eating terminal lines
- 756192: Fix typo

libzypp:
- Update zypp-po.tar.bz2
- 755239: Support (source)package download by non-root
user
- Fix buddy handling in solver results
- 754286: Don't cache defaultCandidate as it depends on
solver::allowVendorChange flag
- 751221: Cleanup orphaned media attach points
- 752497: Parse proxy user/pass from url
- 679322: Force libproxy into using
"/etc/sysconfig/proxy" if it exists
- 749418: Apply soft locks by name and not per package
- 755239: Try to create a missing destination dir before
switching to tmp space
- 755815: Always consider (block) devices passed as url
option
- 755815: Fix lost device info when changeing CD/DVD

libsolv:
- backport cleandeps changes from master
- improve obsolete pruning in the case that there is an
obsoletes cycle
- prune to installed packages so that packages don't
change if there is an obsoletes cycle
- support severity/rights/updated in updateinfo.xml
- 743634: add findutils to the requires of libsolv-tools

libzypp-bindings:
- fix testcases

libzypp-testsuite-tools
- add libtool as buildrequire to avoid implicit dependency


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.1:

zypper in -t patch openSUSE-2012-313

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.1 (i586 x86_64):

libsolv-debugsource-0.0.1-3.6.1
libsolv-demo-0.0.1-3.6.1
libsolv-demo-debuginfo-0.0.1-3.6.1
libsolv-devel-0.0.1-3.6.1
libsolv-devel-debuginfo-0.0.1-3.6.1
libsolv-tools-0.0.1-3.6.1
libsolv-tools-debuginfo-0.0.1-3.6.1
libzypp-10.4.4-1.14.1
libzypp-bindings-debugsource-0.5.10-2.6.1
libzypp-debuginfo-10.4.4-1.14.1
libzypp-debugsource-10.4.4-1.14.1
libzypp-devel-10.4.4-1.14.1
libzypp-testsuite-tools-4.2.11-10.7.1
perl-solv-0.0.1-3.6.1
perl-solv-debuginfo-0.0.1-3.6.1
perl-zypp-0.5.10-2.6.1
perl-zypp-debuginfo-0.5.10-2.6.1
python-solv-0.0.1-3.6.1
python-solv-debuginfo-0.0.1-3.6.1
python-zypp-0.5.10-2.6.1
python-zypp-debuginfo-0.5.10-2.6.1
ruby-solv-0.0.1-3.6.1
ruby-solv-debuginfo-0.0.1-3.6.1
ruby-zypp-0.5.10-2.6.1
ruby-zypp-debuginfo-0.5.10-2.6.1
zypper-1.6.25-5.19.1
zypper-debuginfo-1.6.25-5.19.1
zypper-debugsource-1.6.25-5.19.1

- openSUSE 12.1 (noarch):

libzypp-testsuite-tools-data-4.2.11-10.7.1
zypper-log-1.6.25-5.19.1


References:

https://bugzilla.novell.com/679322
https://bugzilla.novell.com/710872
https://bugzilla.novell.com/735016
https://bugzilla.novell.com/743634
https://bugzilla.novell.com/748144
https://bugzilla.novell.com/749418
https://bugzilla.novell.com/751221
https://bugzilla.novell.com/752497
https://bugzilla.novell.com/754286
https://bugzilla.novell.com/755239
https://bugzilla.novell.com/755815
https://bugzilla.novell.com/756192


< Previous Next >
This Thread
  • No further messages